# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionHandler

Packages that use CDORevisionHandler
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORevisionHandler in org.eclipse.emf.cdo.common.revision

Classes in org.eclipse.emf.cdo.common.revision that implement CDORevisionHandler
Modifier and Type
Class
Description
`static class`
`CDORevisionHandler.Filtered`
A delegating `revision handler` with a `filter()` method used to suppress specific revisions.
`static final class`
`CDORevisionHandler.Filtered.Undetached`
A delegating `revision handler` that filters detached revisions.
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionHandler
Modifier and Type
Method
Description
`static void`
CDORevisionUtil.`handleParentRevisions(CDORevision revision, CDORevisionProvider provider, CDORevisionHandler handler)`
`void`
CDORevisionManager.`handleRevisions(EClass eClass, CDOBranch branch, boolean exactBranch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`
Constructors in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionHandler
Modifier
Constructor
Description
``
`Filtered(CDORevisionHandler delegate)`
``
`Undetached(CDORevisionHandler delegate)`

## Uses of CDORevisionHandler in org.eclipse.emf.cdo.server

Subinterfaces of CDORevisionHandler in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`static interface`
`CDOServerImporter.Handler`
Persists the data that has been read by a `importer` into a new `repository`.
`static interface`
`CDOServerImporter.Handler2`
Persists the data that has been read by a `importer` into a new `repository`.
Methods in org.eclipse.emf.cdo.server with parameters of type CDORevisionHandler
Modifier and Type
Method
Description
`IUnit`
IUnitManager.`createUnit(CDOID rootID, IView view, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
IStoreAccessor.UnitSupport.`finishUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, long timeStamp, Object initResult, List<CDOID> ids)`
`void`
IStoreAccessor.`handleRevisions(EClass eClass, CDOBranch branch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`
Passes all revisions of the store to the `handler` if all of the following conditions are met: The `eClass` parameter is `null` or equal to `revision.getEClass()`.
`Object`
IStoreAccessor.UnitSupport.`initUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, Set<CDOID> initializedIDs, long timeStamp, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
IUnit.`open(IView view, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
`void`
IStoreAccessor.UnitSupport.`readUnit(IView view, CDOID rootID, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

## Uses of CDORevisionHandler in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type CDORevisionHandler
Modifier and Type
Method
Description
`void`
IClassMapping.`handleRevisions(IDBStoreAccessor accessor, CDOBranch branch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`
Passes all revisions of the store to the `handler` if all of the following conditions are met: The `branch` parameter is `null` or equal to `revision.getBranch()`.
`void`
IMappingStrategy.`handleRevisions(IDBStoreAccessor accessor, EClass eClass, CDOBranch branch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`
Passes all revisions of the store to the `handler` if all of the following conditions are met: The `eClass` parameter is `null` or equal to `revision.getEClass()`.
`void`
IClassMappingUnitSupport.`readUnitRevisions(IDBStoreAccessor accessor, CDOBranchPoint branchPoint, CDOID rootID, CDORevisionHandler revisionHandler)`

## Uses of CDORevisionHandler in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl with parameters of type CDORevisionHandler
Modifier and Type
Method
Description
`protected void`
CDOExtentCreator.`createExtent(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, AtomicBoolean canceled, CDORevisionHandler revisionHandler)`
`protected void`
CDOExtentCreator.`handleRevisions(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, CDORevisionHandler revisionHandler)`

## Uses of CDORevisionHandler in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevisionHandler
Modifier and Type
Method
Description
`void`
DelegatingCDORevisionManager.`handleRevisions(EClass eClass, CDOBranch branch, boolean exactBranch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`
`void`
InternalCDORevisionManager.RevisionLoader.`handleRevisions(EClass eClass, CDOBranch branch, boolean exactBranch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`

## Uses of CDORevisionHandler in org.eclipse.emf.cdo.spi.server

Classes in org.eclipse.emf.cdo.spi.server that implement CDORevisionHandler
Modifier and Type
Class
Description
`static class`
`StoreAccessorBase.CommitDataRevisionHandler`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDORevisionHandler
Modifier and Type
Method
Description
`void`
InternalRepository.`handleRevisions(EClass eClass, CDOBranch branch, boolean exactBranch, long timeStamp, boolean exactTime, CDORevisionHandler handler)`
`boolean`
InternalView.`openUnit(CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

## Uses of CDORevisionHandler in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view with parameters of type CDORevisionHandler
Modifier and Type
Method
Description
`final void`
CDOPrefetcherManager.Prefetcher.`handleRevisions(CDORevisionHandler handler)`

## Uses of CDORevisionHandler in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDORevisionHandler
Modifier and Type
Method
Description
`boolean`
CDOSessionProtocol.`requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, boolean prefetchLockStates, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor safe)`
`boolean`
CDOSessionProtocol.`requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.